QGIS Application - Bug report #7559
mmaqgis join fail
2013-04-09 05:21 PM - Robin Lovelace

Status: Rejected

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 16500
Description

mmqgis fails to load the transfer > Attributes join from CSV file dialogue on master build (error message below).
This is quite a critical error, but imagine it's something wrong with my install.

Any ideas?

(built via deb http://qgis.org/ubuntugis-nightly precise main repository)

An error has occured while executing Python code:

Traceback (most recent call last):
File "/home/robin/.qgis2/python/plugins/mmagis/mmagis_menu.py", line 182, in attribute_join
dialog = mmqgis_attribute_join_dialog(self.iface)
File "/home/robin/.qgis2/python/plugins/mmagis/mmaqgis_dialogs.py", line 158, in init
self.set_join_attributes()
File "/home/robin/.qgis2/python/plugins/mmqgis/mmaqgis_dialogs.py", line 205, in set_join_attributes
for index, field in searchlayer.dataProvider().fields().iteritems():
AttributeError: '‘QgsFields’ object has no attribute 'iteritems’

Python version:
2.7.3 (default, Aug 12012, 05:25:23)
[GCC 4.6.3]

QGIS version:
1.9.0-Master Master, exported

Python path: ['/usr/share/qgis/python’, '/home/robin/.qgis2/python’, '/home/robin/.qgis2/python/plugins', '/ust/share/qgis/python/plugins',
"fusr/lib/python2.7', '/ust/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk’, '/usr/lib/python2.7/lib-old', ‘/usr/lib/python2.7/lib-dynload’,
'/usr/local/lib/python2.7/dist-packages’, '/ust/lib/python2.7/dist-packages’, '/usr/lib/python2.7/dist-packages/PIL',
"/usr/lib/python2.7/dist-packages/gst-0.10', ‘/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7',
'/usr/lib/python2.7/dist-packages/ubuntu-sso-client', '/usr/lib/python2.7/dist-packages/ubuntuone-client’,
'/usr/lib/python2.7/dist-packages/ubuntuone-control-panel’, /ust/lib/python2.7/dist-packages/ubuntuone-couch’,
'fusr/lib/python2.7/dist-packages/ubuntuone-installer', '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol’,
'Jusr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode’, 'home/robin/.qgis2/python/plugins/mmagis/forms’,
'lusr/share/qgis/python/plugins/fTools/tools’, '/home/robin/.qgis2/python/plugins/mmaqgis/forms']

History

#1 - 2013-04-09 10:16 PM - Alexander Bruy
- Resolution set to invalid

- Status changed from Open to Rejected

2025-07-03 12



http://qgis.org/ubuntugis-nightly

mmaqgis is 3rd party plugin. Please open ticket in plugin bugtracker or notify author directly
